<?php
/******************
 * rights.lib.php *
 ******************/
 
# Copyright:
#
# You may use freely this script, class or functions.
# I hope you'll respect the author's intellectual property by
# --- keeping this notice in your source
# --- setting a link to the author of these PHP scripts:
# --- dropping a note to the author:
#
# Author:    cagrET <cagret at gmail.com>
# Homepage:  http://www.gosu.pl/mgc/

class rights {
 var $rights = array();

 function add($key)
 {
   $this->rights[$key] = '';
 } //end func

 function return_rights()
 {
   $tmp = 1;
   foreach($this->rights as $key=>$value) {
     $this->rights[$key] = $tmp;
     $tmp *= 2;
   }
   return $this->rights;
 } //end func

 function return_access($sum_rights)
 {
   $access = array();
   foreach($this->rights as $key=>$value) {
     $access[$key] = $this->check_rights($value, $sum_rights);
   }
   return $access;
 } //end func

 function check_rights($area, $rights)
 {
   if (($area & $rights) == $area) return 1;
   else return 0;
 } //end func

} //end class
?>
