<?php
/*
 * modules/members/inc.ProfileAdmin.php
 * ------------------------------------------------------------
 * Type:      PHP/MySQL
 * Name:      MyGosuClan
 * Version:   1.04
 * License:   GNU GPL
 * Author:    cagrET (Cezary Tomczak)
 * Homepage:  http://www.gosu.pl/mgc/
 * E-mail:    cagret at gmail.com
 * ------------------------------------------------------------
 */

class _profile {
 var $db;
 var $smarty;

 var $tbl_profile = array();
 var $mod;
 
 var $photo = 0;
 var $mid = 0;

 var $photo_size;
 var $photo_ext;
 var $photo_dir;

 function _profile($db,$smarty)
 {
   include 'init/lib/html.lib.php';

   $this->db = &$db;
   $this->smarty = &$smarty;
   
   $this->mod  = get_param('mod');
   
   $this->photo_size = &$GLOBALS['cfg']['members_size'];
   $this->photo_ext  = &$GLOBALS['cfg']['members_ext'];
   $this->photo_dir  = &$GLOBALS['cfg']['members_dir'];
   
   $this->test_member();

   #-- mod
   if($this->mod == 'delete' && $this->mid) $this->mod_delete();
   elseif($this->mod == 'add' && post_param('submit_profile_addphoto') && $this->mid) $this->mod_add();
   elseif($this->mod == 'edit' && post_param('submit_profile_edit') && $this->mid) $this->mod_edit();
   
   #-- get

   #-- var
   $this->smarty->assign_by_ref('photo_size', $this->photo_size);
   $this->smarty->assign_by_ref('photo_ext', $this->photo_ext);
   $this->smarty->assign_by_ref('tbl_profile', $this->tbl_profile);
   
   $this->smarty->assign_by_ref('photo', $this->photo);
   $this->smarty->assign_by_ref('mid', $this->mid);
   
   #-- display
   if($this->mod == 'edit') $this->smarty->display('admin/_profile/edit.tpl');
   elseif($this->mod == 'add') $this->smarty->display('admin/_profile/addphoto.tpl');
   elseif(!$this->mod) $this->smarty->display('admin/_profile/index.tpl');

 } //end func
 
 function test_member()
 {
   $this->db->query("select * from ".prefix."members where uid='{$_SESSION['mgc']['uid']}'");
   if($this->db->num_rows() != 1) return 0;

   $this->db->next_record();
   $this->db->Record['awards']   = check_undo($this->db->Record['awards']);
   $this->db->Record['hardware'] = check_undo($this->db->Record['hardware']);
   $this->tbl_profile = $this->db->Record;
   $this->mid = $this->db->Record['mid'];
   
   foreach($this->photo_ext as $key=>$value)
   {
     if(file_exists($this->photo_dir . $this->mid . $value)) $this->photo = 1;
   }
 } //end func
 
 function mod_edit()
 {
   $post_name       = check_html(post_param('name'));
   $post_age        = check_html(post_param('age'));
   $post_city       = check_html(post_param('city'));
   $post_occupation = check_html(post_param('occupation'));
   $post_icq        = check_html(post_param('icq'));
   $post_gg         = check_html(post_param('gg'));
   $post_email      = check_html(post_param('email'));
   $post_fav_games  = check_html(post_param('fav_games'));
   $post_fav_map    = check_html(post_param('fav_map'));
   $post_fav_race   = check_html(post_param('fav_race'));
   $post_awards     = check_nosafe(post_param('awards'));
   $post_hardware   = check_nosafe(post_param('hardware'));
   $post_time       = check_html(post_param('time'));
   
   $this->db->query("update ".prefix."members set name='$post_name', age='$post_age', city='$post_city', occupation='$post_occupation', icq='$post_icq', gg='$post_gg', email='$post_email', fav_games='$post_fav_games', fav_map='$post_fav_map', fav_race='$post_fav_race', awards='$post_awards', hardware='$post_hardware', time='$post_time' where mid='{$this->mid}'");

   $this->mod = '';
 } //end func
 
 function mod_delete()
 /* delete photo */
 {
   foreach($this->photo_ext as $key=>$value)
   {
     @unlink($this->photo_dir . $this->mid . $value);
   }

   $this->photo = 0;
   $this->mod = '';
 } //end func
 
 function mod_add()
 /* add photo */
 {
   if(!isset($_FILES['photo'])) return 0;
   
   $ext = pathinfo($_FILES['photo']['name'], PATHINFO_EXTENSION);
   $ext = strtolower($ext);
   if ($ext) {
		$ext = '.'.$ext;
   }

   #-- extension
   if(!in_array($ext, $this->photo_ext)) return 0;

   #-- size
   if($_FILES['photo']['size'] > $this->photo_size) return 0;

   #-- if uploaded
   if(!is_uploaded_file($_FILES['photo']['tmp_name'])) return 0;

   #-- advanced errors
   if(isset($_FILES['photo']['error']))
   {
     if($_FILES['photo']['error'] != 0) return 0;
   }
   
   #-- copy file
   $url = $this->photo_dir . $this->mid . $ext;
   move_uploaded_file($_FILES['photo']['tmp_name'], $url);
   chmod($url, 0644);

   $this->photo = 1;
   $this->mod = '';
 } //end func


} //end class
?>
