<?php
/**
* initialize.php
* ------------------------------------------------------------
* Package:   MyGosuClan
* Version:   1.04
* License:   GNU GPL
* Author:    cagrET (Cezary Tomczak)
* Email:     cagret at gmail.com
* Homepage:  http://www.gosu.pl/mgc/
* ------------------------------------------------------------
*/

if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

require './init/init.error.php';

# sub
$sub = @$_GET['sub'];
if (!$sub) {
    $sub = 'news';
} else {
    if (!@settype($sub, 'string')) {
        $sub = 'news';
    } elseif (strlen($sub) > 100) {
        $sub = 'news';
    }
}

# -------
# library
# -------
include './init/lib/db_mysql.inc';
include './init/lib/get_ip.lib.php';
include './init/lib/param.lib.php';
include './init/lib/session.lib.php';
include './init/lib/rights.lib.php';

# -------------
# initalization
# -------------
global $cfg;
$cfg = array();

include './init/init.variables.php';
include './init/init.install.php';

include './init/init.db.php';
include './init/config.php';

include './init/functions.php';

include './init/init.session.php';
include './init/init.user.php';
include './init/init.Smarty.php';

include './init/common.php';

?>
