<?php
/******************
 * get_ip.lib.php *
 ******************/
 
# Copyright:
#
# You may use freely this script, class or functions.
# I hope you'll respect the author's intellectual property by
# --- keeping this notice in your source
# --- setting a link to the author of these PHP scripts:
# --- dropping a note to the author:
#
# Author:    cagrET <cagret at gmail.com>
# Homepage:  http://www.gosu.pl/mgc/
 
function get_ip()
{
	$ip = false;
	if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
		$ip = $_SERVER['HTTP_CLIENT_IP'];
	}
	if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		$xforw = $_SERVER['HTTP_X_FORWARDED_FOR'];
		$xforw = preg_replace('#\s+#', '', $xforw);
		$ips = explode (',', $xforw);
		if ($ip) {
			array_unshift($ips, $ip);
			$ip = false;
		}
		for ($i = 0; $i < count($ips); $i++) {
			if (!preg_match('/^(?:10|172\.(?:1[6-9]|2\d|3[01])|192\.168)\./', $ips[$i])) {
				if (version_compare(PHP_VERSION, '5.0.0', '>=')) {
					if (ip2long($ips[$i]) != false) {
						$ip = $ips[$i];
						break;
					}
				} else {
					if (ip2long($ips[$i]) != -1)	{
						$ip = $ips[$i];
						break;
					}
				}
			}
		}
	}
	return ($ip ? htmlspecialchars($ip) : htmlspecialchars($_SERVER['REMOTE_ADDR']));
}

?>
