<?php
/**********************
 * send_email.lib.php *
 **********************/
 
# this functions were taken from phpMyChat and have been changed a little
# There is a web page for phpMyChat at http://www.phpheaven.net/

function send_email($Sender_Name, $Sender_email, $To, $Subject, $Body)
/* wysyla maila */
# @param $Sender_name, $Sender_email, $To, $Subject, $Body
# @return boolean
{
  $Charset = 'iso-8859-2';
  $Sender_Name = quote_printable($Sender_Name,$Charset);
  $mail_date = rfcDate();
  $Subject = quote_printable($Subject,$Charset);
  $Headers  = "From: ${Sender_Name} <${Sender_email}> \r\n";
  $Headers .= "X-Sender: <${Sender_email}> \r\n";
  $Headers .= "X-Mailer: PHP/". phpversion() ." \r\n";
  $Headers .= "Return-Path: <${Sender_email}> \r\n";
  $Headers .= "Date: ${mail_date} \r\n";
  $Headers .= "Mime-Version: 1.0 \r\n";
  $Headers .= "Content-Type: text/plain; charset=${Charset} \r\n";
  $Headers .= "Content-Transfer-Encoding: 8bit \r\n";
  /* znak malpy -> nie zostanie wygenerowant blad uzytkownikowi jezeli nie uda sie wyslac maila */
  return @mail($To, stripslashes($Subject), stripslashes($Body), $Headers);
} //end func


function quote_printable($str,$WithCharset)
{
  $str = str_replace("%","=",rawurlencode($str));
  return "=?${WithCharset}?Q?${str}?=";
} //end func


function rfcDate()
{
  $tn = time(0);
  $zone = gmdate("H", $tn) * 60 + gmdate("i", $tn);
  $julian = gmdate("z", $tn);
  $t = getdate($tn);
  $zone = $t["hours"] * 60 + $t["minutes"] - $zone;
  if ($julian = $t["yday"] - $julian)
  {
    $zone += (($julian < 0) == (abs($julian) == 1)) ? -24*60 : 24*60;
  };
  $zone_sign = ($zone > 0 ? "+" : "-");
  return date('D, d M Y H:i:s ', $tn).$zone_sign.sprintf("%02d%02d", abs($zone)/60, abs($zone)%60)." (".strftime("%Z").")";
} //end func

?>
