<?php
/*
 * modules/ipban/inc.IPban.php
 * ------------------------------------------------------------
 * Type:      PHP/MySQL
 * Name:      MyGosuClan
 * Version:   1.04
 * License:   GNU GPL
 * Author:    cagrET (Cezary Tomczak)
 * Homepage:  http://www.gosu.pl/mgc/
 * E-mail:    cagret at gmail.com
 * ------------------------------------------------------------
 */

class _banip {
 var $db;
 var $smarty;

 var $ip;
 var $tbl_banip = array();
 var $mod;

 function _banip($db,$smarty)
 {
   $this->db = &$db;
   $this->smarty = &$smarty;

   $this->mod  = get_param('mod');
   $this->ip = trim(get_param('ip'));

   #-- choices
   if($this->mod == 'add' && post_param('submit_banip_add')) $this->banip_add();
   elseif($this->mod == 'delete' && get_param('ip')) $this->banip_delete();

   if(!$this->mod) $this->get_list();
   
   #-- smarty variables
   $this->smarty->assign_by_ref('tbl_banip', $this->tbl_banip);

   #-- display
   if($this->mod == 'add') $this->smarty->display('admin/_banip/add.tpl');
   else $this->smarty->display('admin/_banip/list.tpl');

 } //end func

 function get_list()
 {
   $this->db->query("select * from ".prefix."ip_banned");
   while($this->db->next_record()) {
     $this->tbl_banip[] = $this->db->Record;
   }
 }//end func
 
 function banip_add()
 {
   $post_ip   = post_param('ip');
   $post_user = post_param('user');
   
   if(!$post_ip || !$post_user) return 0;

   $this->db->query("insert into ".prefix."ip_banned set ip='$post_ip', user='$post_user'");
   #-- if ok list
   $this->mod = '';

 } //end func
 
 function banip_delete()
 {
   $this->db->query("delete from ".prefix."ip_banned where ip='{$this->ip}'");
   $this->mod = '';

 } //end func
 
} //end class
?>
